package com.bocloud.cmp.model.hmc.sdk.common;

import com.alibaba.fastjson.JSONObject;
import com.bocloud.cmp.model.hmc.sdk.module.Author;

/**
 * ErrorResponse
 *
 * @author lkx007
 */
public class ErrorResponse {
    private String xmlns;
    private String id;
    private String title;
    private String published;
    private Author author;
    private ErrorContent content;

    /**
     * @return the xmlns
     */
    public String getXmlns() {
        return xmlns;
    }

    /**
     * @param xmlns the xmlns to set
     */
    public void setXmlns(String xmlns) {
        this.xmlns = xmlns;
    }

    /**
     * @return the id
     */
    public String getId() {
        return id;
    }

    /**
     * @param id the id to set
     */
    public void setId(String id) {
        this.id = id;
    }

    /**
     * @return the title
     */
    public String getTitle() {
        return title;
    }

    /**
     * @param title the title to set
     */
    public void setTitle(String title) {
        this.title = title;
    }

    /**
     * @return the published
     */
    public String getPublished() {
        return published;
    }

    /**
     * @param published the published to set
     */
    public void setPublished(String published) {
        this.published = published;
    }

    /**
     * @return the author
     */
    public Author getAuthor() {
        return author;
    }

    /**
     * @param author the author to set
     */
    public void setAuthor(Author author) {
        this.author = author;
    }

    /**
     * @return the content
     */
    public ErrorContent getContent() {
        return content;
    }

    /**
     * @param content the content to set
     */
    public void setContent(ErrorContent content) {
        this.content = content;
    }

    public ErrorResponse() {
    }

    @Override
    public String toString() {
        return JSONObject.toJSONString(this);
    }
}
